xssl_sinit(3)

NAME
xssl_sinit - API function

SYNOPSIS
#include <gnutls/xssl.h>

int xssl_sinit(xssl_t * isb, gnutls_session_t session, unsigned int flags);

ARGUMENTS

xssl_t * isb
    is a pointer to a xssl_t structure.

gnutls_session_t session
    a GnuTLS session

unsigned int flags
    should be zero or GNUTLS_SBUF_WRITE_FLUSHES

DESCRIPTION
This function initializes a xssl_t structure associated with the provided session. If the flag GNUTLS_SBUF_WRITE_FLUSHES is set then xssl_queue() will flush when the maximum data size for a record is reached.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

SINCE
3.1.7

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/